Querying into Ethereum blocks and the associated validator metrics
The Blocks endpoints allows one to dig into the individual slots and blocks in Ethereum since the Merge (Slot4700013, Block15537394). Metrics include validator rewards from the consensus and execution layers, MEV data, and missed reward estimates. See the blocks glossary for the complete set of metrics.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rated | docs","colors":{"primary":"#0091FF","light":"#0880EA","dark":"#0091FF"},"logo":{"light":"https://mintcdn.com/rated/xA_7tu5wozIsFhjJ/images/logo/light.svg?fit=max\u0026auto=format\u0026n=xA_7tu5wozIsFhjJ\u0026q=85\u0026s=4ac034202bfaa36f3452acae5c7fbf4b","dark":"https://mintcdn.com/rated/xA_7tu5wozIsFhjJ/images/logo/dark.svg?fit=max\u0026auto=format\u0026n=xA_7tu5wozIsFhjJ\u0026q=85\u0026s=1c62c310521fda792738ad305c22ee47"},"favicon":"https://mintcdn.com/rated/xA_7tu5wozIsFhjJ/favicon.svg?fit=max\u0026auto=format\u0026n=xA_7tu5wozIsFhjJ\u0026q=85\u0026s=c087a335155baa58dd525606eb79ee10","api":{"openapi":"openapi.json","mdx":{"auth":{"method":"bearer"},"server":"https://api.rated.network"}},"background":{"image":"https://mintcdn.com/rated/xA_7tu5wozIsFhjJ/images/bg-dark.svg?fit=max\u0026auto=format\u0026n=xA_7tu5wozIsFhjJ\u0026q=85\u0026s=a607f4c006afbbd6ab90720c522f0196","decoration":"gradient","color":{"light":"#F5FAFF","dark":"#0F1B2D"}},"navbar":{"links":[{"href":"https://rated.network","label":"Home"},{"href":"mailto:[email protected]","label":"Get in touch"}],"primary":{"type":"button","label":"Console","href":"https://console.rated.network"}},"footer":{"socials":{"x":"https://x.com/ratedw3b","discord":"https://bit.ly/ratediscord","github":"https://github.com/rated-network","telegram":"https://t.me/eliasimos"}},"seo":{"metatags":{"description":"Comprehensive documentation for Rated Network - the leading blockchain validator analytics platform. Access APIs, explore methodologies, and analyze validator performance across Ethereum, Solana, and more.","keywords":"blockchain analytics, validator performance, Ethereum staking, Solana validators, blockchain API, validator effectiveness, staking rewards, crypto analytics, blockchain data","author":"Rated Network","robots":"index, follow","googlebot":"index, follow","language":"en","category":"Technology","distribution":"global","coverage":"Worldwide","HandheldFriendly":"True","MobileOptimized":"320","theme-color":"#0091FF","color-scheme":"light dark","twitter:card":"summary_large_image","twitter:site":"@ratedw3b","twitter:creator":"@ratedw3b","apple-mobile-web-app-capable":"yes","apple-mobile-web-app-status-bar-style":"default","apple-mobile-web-app-title":"Rated Docs"},"indexing":"all"},"fonts":{"heading":{"family":"Space Grotesk"},"body":{"family":"Rubik"}},"styling":{"eyebrows":"section","latex":true},"integrations":{"posthog":{"apiKey":"phc_K4ZquErKWuSfOvy4rWU23khMSkT5xVXxUryNt2TMZBv","apiHost":"https://eu.i.posthog.com"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rated","hasAudioNarration":false,"actualSubdomain":"rated","customDomains":["docs.rated.network"],"gitSource":{"type":"github","owner":"rated-network","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ac79fb5ca149daad430c0ec","collectionId":"ce3366f8-3205-45ef-ba80-b31a06028392","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ac79fb5ca149daad430c0ec"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ac79fb5ca149daad430c0ec","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API","count":190},{"language":"default","tag":"Endpoints","count":152},{"language":"default","tag":"Ethereum","count":136},{"language":"default","tag":"Solana","count":64},{"language":"default","tag":"Documentation","count":58},{"language":"default","tag":"Explorer","count":31},{"language":"default","tag":"Rewards","count":29},{"language":"default","tag":"Methodologies","count":26},{"language":"default","tag":"Performance","count":20},{"language":"default","tag":"Glossary","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"rated-api/api-reference/v0/ethereum/blocks/blocks","slug":"/rated-api/api-reference/v0/ethereum/blocks/blocks","pageMetadata":{"title":"Blocks (beta)","sidebarTitle":"Summary","description":"Querying into Ethereum blocks and the associated validator metrics","href":"/rated-api/api-reference/v0/ethereum/blocks/blocks"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Querying into Ethereum blocks and the associated validator metrics\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`The Blocks endpoints allows one to dig into the individual slots and blocks in Ethereum since the Merge (`,_jsx(_components.em,{children:`Slot`}),` `,_jsx(_components.code,{children:`4700013`}),_jsx(_components.em,{children:`, Block`}),` `,_jsx(_components.code,{children:`15537394`}),`). Metrics include validator rewards from the consensus and execution layers, MEV data, and missed reward estimates. See the `,_jsx(_components.a,{href:`/rated-api/glossary/ethereum/blocks`,children:`blocks glossary`}),` for the complete set of metrics.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Blocks (beta)","sidebarTitle":"Summary","description":"Querying into Ethereum blocks and the associated validator metrics","href":"/rated-api/api-reference/v0/ethereum/blocks/blocks"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"subdomain":"rated","siteName":"Rated | docs","title":"Blocks (beta) - Rated | docs","navMaps":{"firstHrefInVersion":{"v1":{"href":"/rated-api/api-reference/v1/ethereum/blocks/blocks","matchLevel":1},"v0":{"href":"/rated-api/api-reference/v0/ethereum/blocks/blocks","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-08-23T00:21:02.816Z","originalFileLocation":"rated-api/api-reference/v0/ethereum/blocks/blocks.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Querying into Ethereum blocks and the associated validator metrics\">\u003cmeta data-mint-head name=\"keywords\" content=\"blockchain analytics, validator performance, Ethereum staking, Solana validators, blockchain API, validator effectiveness, staking rewards, crypto analytics, blockchain data\">\u003cmeta data-mint-head name=\"application-name\" content=\"Rated | docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"index, follow\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Blocks (beta) - Rated | docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Querying into Ethereum blocks and the associated validator metrics\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Rated | docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rated.mintlify.app/_mintlify/api/og/v2?division=Blocks\u0026amp;title=Blocks+%28beta%29\u0026amp;description=Querying+into+Ethereum+blocks+and+the+associated+validator+metrics\u0026amp;theme=04bdb086aa7e08082c310380\u0026amp;signature=8aaba8f3d81fe0f2d3308c19311390d138b8dc5b34db48f2529397f31b9ece8c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Blocks (beta) - Rated | docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Querying into Ethereum blocks and the associated validator metrics\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rated.mintlify.app/_mintlify/api/og/v2?division=Blocks\u0026amp;title=Blocks+%28beta%29\u0026amp;description=Querying+into+Ethereum+blocks+and+the+associated+validator+metrics\u0026amp;theme=04bdb086aa7e08082c310380\u0026amp;signature=8aaba8f3d81fe0f2d3308c19311390d138b8dc5b34db48f2529397f31b9ece8c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rated/DOXqQuZO6DKmo5b7/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Rated Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0091FF\">\u003cmeta data-mint-head name=\"author\" content=\"Rated Network\">\u003cmeta data-mint-head name=\"googlebot\" content=\"index, follow\">\u003cmeta data-mint-head name=\"language\" content=\"en\">\u003cmeta data-mint-head name=\"category\" content=\"Technology\">\u003cmeta data-mint-head name=\"distribution\" content=\"global\">\u003cmeta data-mint-head name=\"coverage\" content=\"Worldwide\">\u003cmeta data-mint-head name=\"HandheldFriendly\" content=\"True\">\u003cmeta data-mint-head name=\"MobileOptimized\" content=\"320\">\u003cmeta data-mint-head name=\"theme-color\" content=\"#0091FF\">\u003cmeta data-mint-head name=\"color-scheme\" content=\"light dark\">\u003cmeta data-mint-head name=\"twitter:creator\" content=\"@ratedw3b\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-capable\" content=\"yes\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-status-bar-style\" content=\"default\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/rated-api/api-reference/v0/ethereum/blocks/blocks.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.rated.network/#organization\",\"name\":\"Rated | docs\",\"url\":\"https://docs.rated.network\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rated/xA_7tu5wozIsFhjJ/images/logo/light.svg?fit=max\u0026auto=format\u0026n=xA_7tu5wozIsFhjJ\u0026q=85\u0026s=4ac034202bfaa36f3452acae5c7fbf4b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.rated.network#website\",\"name\":\"Rated | docs\",\"url\":\"https://docs.rated.network\",\"publisher\":{\"@id\":\"https://docs.rated.network/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks#webpage\",\"url\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks\",\"name\":\"Blocks (beta)\",\"description\":\"Querying into Ethereum blocks and the associated validator metrics\",\"dateModified\":\"2025-08-23T00:21:02.816Z\",\"isPartOf\":{\"@id\":\"https://docs.rated.network#website\"},\"breadcrumb\":{\"@id\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.rated.network/rated-api/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Ethereum\",\"item\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/self-report/self-report\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Blocks (beta)\",\"item\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks#article\",\"headline\":\"Blocks (beta)\",\"name\":\"Blocks (beta)\",\"description\":\"Querying into Ethereum blocks and the associated validator metrics\",\"url\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks\",\"mainEntityOfPage\":{\"@id\":\"https://docs.rated.network/rated-api/api-reference/v0/ethereum/blocks/blocks#webpage\"},\"dateModified\":\"2025-08-23T00:21:02.816Z\",\"publisher\":{\"@id\":\"https://docs.rated.network/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.rated.network#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Rated | docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Rated | docs","nav":{"global":null,"tabs":[{"tab":"API","versions":[{"version":"v1","pages":[{"title":"v1","href":"/rated-api/api-reference/v1/ethereum/blocks/blocks"}]},{"version":"v0","groups":[{"group":"Getting started","pages":[{"title":"Welcome","icon":"party-horn","href":"/rated-api/getting-started/welcome"},{"title":"Networks supported","icon":"hive","href":"/rated-api/getting-started/networks-supported"},{"group":"Pricing","icon":"tag","pages":[{"title":"Compute Units","mode":"wide","href":"/rated-api/pricing/compute-units"}]}]},{"group":"Rated API","pages":[{"title":"Authentication","icon":"key","href":"/rated-api/authentication"},{"group":"Errors","icon":"brake-warning","pages":[{"title":"Errors summary","href":"/rated-api/errors/errors"},{"title":"Handling errors","href":"/rated-api/errors/handling-errors"}]},{"title":"Pagination","icon":"columns-3","href":"/rated-api/pagination/v0/pagination"},{"title":"Request IDs","icon":"id-card","href":"/rated-api/request-ids"},{"title":"Rate limits","icon":"gauge-max","href":"/rated-api/rate-limits"}]},{"group":"Endpoints","pages":[{"title":"Introduction","href":"/rated-api/api-reference/introduction"},{"group":"Ethereum","pages":[{"group":"Self report","pages":[{"title":"Self report","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/self-report/self-report"},{"openapi":"post /v0/selfReports/validators","title":"Report Validators","href":"/rated-api/api-reference/v0/ethereum/self-report/report-validators"}]},{"group":"Validators","pages":[{"title":"Validators","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/validators/validators"},{"openapi":"get /v0/eth/validators/{validator_index_or_pubkey}/effectiveness","title":"Get Effectiveness","href":"/rated-api/api-reference/v0/ethereum/validators/get-effectiveness"},{"title":"Aggregating validator indices","openapi":"get /v0/eth/validators/effectiveness","href":"/rated-api/api-reference/v0/ethereum/validators/get-effectiveness-aggregation"},{"title":"Validator metadata [single keys]","openapi":"get /v0/eth/validators/{validator_index_or_pubkey}","href":"/rated-api/api-reference/v0/ethereum/validators/get-metadata"},{"title":"Validator metadata [groups]","openapi":"get /v0/eth/validators","href":"/rated-api/api-reference/v0/ethereum/validators/get-metadata-list"},{"title":"Validators APR","openapi":"get /v0/eth/validators/{validator_index_or_pubkey}/apr","href":"/rated-api/api-reference/v0/ethereum/validators/get-apr"}]},{"group":"Operators","pages":[{"title":"Operators","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/operators/operators"},{"title":"Entity summary statistics","sidebarTitle":"Operator summaries","openapi":"get /v0/eth/operators","href":"/rated-api/api-reference/v0/ethereum/operators/get-summaries"},{"title":"Operator summary statistics","sidebarTitle":"Operator summary","openapi":"get /v0/eth/operators/{operator_id}/summary","href":"/rated-api/api-reference/v0/ethereum/operators/get-operator-summary"},{"title":"Percentile ranks","openapi":"get /v0/eth/operators/percentiles","href":"/rated-api/api-reference/v0/ethereum/operators/get-percentiles"},{"title":"Operator metadata","openapi":"get /v0/eth/operators/{operator_id}","href":"/rated-api/api-reference/v0/ethereum/operators/get-operator"},{"title":"Operator effectiveness","openapi":"get /v0/eth/operators/{operator_id}/effectiveness","href":"/rated-api/api-reference/v0/ethereum/operators/get-effectiveness"},{"title":"Relayer distribution","openapi":"get /v0/eth/operators/{operator_id}/relayers","href":"/rated-api/api-reference/v0/ethereum/operators/get-relayer-stats"},{"title":"Entity APR%","openapi":"get /v0/eth/operators/{operator_id}/apr","href":"/rated-api/api-reference/v0/ethereum/operators/get-operator-apr"},{"openapi":"get /v0/eth/operators/{operator_id}/stakeMovement","title":"Activations and withdrawals state and status","sidebarTitle":"Activations Exits Aggregate","href":"/rated-api/api-reference/v0/ethereum/operators/get-activations-exits-aggregate"}]},{"group":"Network","pages":[{"title":"Network","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/network/network"},{"openapi":"get /v0/eth/network/overview","title":"Network overview","href":"/rated-api/api-reference/v0/ethereum/network/get-network-overview"},{"openapi":"get /v0/eth/network/capacity","title":"Network churn capacity","href":"/rated-api/api-reference/v0/ethereum/network/get-network-churn-capacity"},{"openapi":"get /v0/eth/network/capacity/pool","title":"Network churn capacity per pool","href":"/rated-api/api-reference/v0/ethereum/network/get-network-churn-capacity-pool"}]},{"group":"Slashings","pages":[{"title":"Slashings","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/slashings/slashings"},{"openapi":"get /v0/eth/slashings","title":"Slashings as a whole","href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-penalties-all"},{"openapi":"get /v0/eth/slashings/{validator_index_or_pubkey}","title":"Slashings by validator","href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-penalties"},{"openapi":"get /v0/eth/slashings/overview","title":"Slashing overview","href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-overview"},{"openapi":"get /v0/eth/slashings/leaderboard","title":"Slashing leaderboard","href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-leaderboard"},{"openapi":"get /v0/eth/slashings/cohortAnalysis","title":"Slashings cohort analysis","href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-cohort-analysis"},{"openapi":"get /v0/eth/slashings/timeseries","title":"Time series of slashing incidents","description":null,"href":"/rated-api/api-reference/v0/ethereum/slashings/get-slashing-time-series"}]},{"group":"Blocks","pages":[{"title":"Blocks (beta)","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/ethereum/blocks/blocks"},{"openapi":"get /v0/eth/blocks","title":"List of slots and blocks","description":null,"href":"/rated-api/api-reference/v0/ethereum/blocks/get-blocks"},{"openapi":"get /v0/eth/blocks/{consensus_slot}","title":"Blocks by slot number","href":"/rated-api/api-reference/v0/ethereum/blocks/get-blocks-by-slot"},{"openapi":"get /v0/eth/blocks/{consensus_slot}/syncCommitteeRewards","title":"Get Sync Committee Rewards By Slot","href":"/rated-api/api-reference/v0/ethereum/blocks/get-sync-committee-rewards-by-slot"}]}]},{"group":"Solana","pages":[{"group":"Validators","pages":[{"title":"Validators","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/solana/validators/validators"},{"openapi":"get /v0/solana/validators/{validator_id}/performance","title":"Single validator effectiveness","href":"/rated-api/api-reference/v0/solana/validators/validator-performance"},{"openapi":"get /v0/solana/validators/{validator_id}/rewards","title":"Single validator rewards","href":"/rated-api/api-reference/v0/solana/validators/validator-rewards"},{"openapi":"get /v0/solana/validators/{validator_id}/performance/latency","title":"Single validator voting latency","href":"/rated-api/api-reference/v0/solana/validators/validator-latency"},{"openapi":"get /v0/solana/validators/{validator_id}/summary","title":"Single validator summary","href":"/rated-api/api-reference/v0/solana/validators/validator-summary"},{"openapi":"get /v0/solana/validators","title":"Validator summaries","href":"/rated-api/api-reference/v0/solana/validators/validator-summaries"},{"openapi":"get /v0/solana/validators/{validator_id}","title":"Validator metadata","href":"/rated-api/api-reference/v0/solana/validators/validator-metadata"}]},{"group":"Delegators","pages":[{"title":"Delegators","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/solana/delegators/delegators"},{"title":"Delegator rewards","openapi":"get /v0/solana/delegators/stakeAccounts/{stake_account}/rewards","href":"/rated-api/api-reference/v0/solana/delegators/delegator-stats"},{"openapi":"get /v0/solana/delegators/stakeAuthorities/{stake_authority}/rewards","title":"Stake Authority Stats","href":"/rated-api/api-reference/v0/solana/delegators/stake-authority-stats"},{"title":"Single delegator summary","openapi":"get /v0/solana/delegators/stakeAccounts/{stake_account}/summary","href":"/rated-api/api-reference/v0/solana/delegators/delegator-summary"},{"openapi":"get /v0/solana/delegators/stakeAuthorities/{stake_authority}/summary","title":"Stake Authority Summary","href":"/rated-api/api-reference/v0/solana/delegators/stake-authority-summary"},{"title":"Multiple delegator summary","openapi":"get /v0/solana/delegators/stakeAccounts","href":"/rated-api/api-reference/v0/solana/delegators/delegator-summaries"},{"openapi":"get /v0/solana/delegators/stakeAuthorities","title":"Stake Authority Summaries","href":"/rated-api/api-reference/v0/solana/delegators/stake-authority-summaries"},{"title":"Staking pool metadata","openapi":"get /v0/solana/delegators/stakeAuthorities/{stake_authority}/poolMetadata","href":"/rated-api/api-reference/v0/solana/delegators/stake-authority-pool-metadata"}]},{"group":"Network","pages":[{"title":"Network","sidebarTitle":"Summary","href":"/rated-api/api-reference/v0/solana/network/network"},{"openapi":"get /v0/solana/network/overview","title":"Network overview","href":"/rated-api/api-reference/v0/solana/network/get-network-overview"}]}]}]},{"group":"Glossary","pages":[{"group":"Ethereum","pages":[{"title":"Blocks","href":"/rated-api/glossary/ethereum/blocks"},{"title":"Effectiveness","href":"/rated-api/glossary/ethereum/effectiveness"},{"title":"Network","href":"/rated-api/glossary/ethereum/network"},{"title":"Operators","href":"/rated-api/glossary/ethereum/operators"},{"title":"Validators","href":"/rated-api/glossary/ethereum/validators"},{"title":"Withdrawals","href":"/rated-api/glossary/ethereum/withdrawals"},{"title":"Pool shares","href":"/rated-api/glossary/ethereum/pool-shares"}]},{"group":"Solana","pages":[{"title":"Delegators","href":"/rated-api/glossary/solana/delegators"},{"title":"Network","href":"/rated-api/glossary/solana/network"},{"title":"Validators","href":"/rated-api/glossary/solana/validators"}]}]},{"group":"Guides","pages":[{"group":"Use Cases","pages":[{"title":"Rewards Accounting","href":"/rated-api/guides/use-cases/rewards-accounting"},{"title":"Performance Benchmarking","href":"/rated-api/guides/use-cases/performance-benchmarking"},{"title":"Private Sets","href":"/rated-api/guides/use-cases/private-sets"}]},{"title":"Developers FAQ","href":"/rated-api/guides/developers-faq"}]},{"group":"Tools","pages":[{"title":"Rated SDK","icon":"python","href":"/rated-api/tools/rated-sdk"},{"title":"Rated CLI","icon":"terminal","href":"/rated-api/tools/rated-cli"},{"title":"Rated Console","icon":"chart-line","url":"https://console.rated.network","href":"/rated-api/tools/rated-console"},{"title":"Rated Network Explorer","icon":"network-wired","url":"https://explorer.rated.network","href":"/rated-api/tools/rated-explorer"}]}]}]},{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/welcome"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]},{"tab":"Legal","pages":[{"title":"Legal","href":"/legal/terms/website-terms-of-use"}]}]},"title":"Blocks (beta) - Rated | docs","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":[],"chunks":[]}